Bug 25799 - Edition information to Holds queue report
Summary: Edition information to Holds queue report
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andrew Nugged
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-18 07:40 UTC by Minna Kivinen
Modified: 2020-07-27 17:51 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25799: Add edition information to "Holds queue" report (2.63 KB, patch)
2020-06-30 09:27 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 25799: Add edition information to "Holds queue" report (2.68 KB, patch)
2020-07-01 12:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25799: Add edition information to "Holds queue" report (2.73 KB, patch)
2020-07-06 21:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Minna Kivinen 2020-06-18 07:40:08 UTC
Holds queue -report should show edition information of a book. Edition information can be fetched from biblioitem -table, there is no need to get it from metadata -table. Edition can be printed with publication -information.

In scientific libraries it is very essential to know which edition is needed.
Comment 1 Katrin Fischer 2020-06-22 21:40:01 UTC Comment hidden (obsolete)
Comment 2 Andrew Nugged 2020-06-26 14:48:44 UTC Comment hidden (obsolete)
Comment 3 Peter Vashchuk 2020-06-30 09:27:36 UTC
Created attachment 106429 [details] [review]
Bug 25799: Add edition information to "Holds queue" report

Added a feature that displays edition information of the book
together with title in "Holds queue" report.

Edition information is fetched from "biblioitem" table
as "editionstatement" and transferred to template.

1. Place a hold on a book with edition information.
2. Run build_holds_queue.pl cron job.
3. Go to /cgi-bin/koha/circ/view_holdsqueue.pl and check the "title"
table of that book that you placed hold on.
4. Observe that there's no information about edition of that book.
5. Apply patch.
6. Repeat step 3.
7. Observe that cinformation about edition of that book appeared
in the title table after book's title and author.

Mentored-by: Andrew Nugged <nugged@gmail.com>
Comment 4 Peter Vashchuk 2020-06-30 09:31:47 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2020-06-30 10:59:18 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2020-07-01 12:55:14 UTC
Created attachment 106454 [details] [review]
Bug 25799: Add edition information to "Holds queue" report

Added a feature that displays edition information of the book
together with title in "Holds queue" report.

Edition information is fetched from "biblioitem" table
as "editionstatement" and transferred to template.

1. Place a hold on a book with edition information.
2. Run build_holds_queue.pl cron job.
3. Go to /cgi-bin/koha/circ/view_holdsqueue.pl and check the "title"
table of that book that you placed hold on.
4. Observe that there's no information about edition of that book.
5. Apply patch.
6. Repeat step 3.
7. Observe that cinformation about edition of that book appeared
in the title table after book's title and author.

Mentored-by: Andrew Nugged <nugged@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Katrin Fischer 2020-07-06 21:35:37 UTC
Created attachment 106614 [details] [review]
Bug 25799: Add edition information to "Holds queue" report

Added a feature that displays edition information of the book
together with title in "Holds queue" report.

Edition information is fetched from "biblioitem" table
as "editionstatement" and transferred to template.

1. Place a hold on a book with edition information.
2. Run build_holds_queue.pl cron job.
3. Go to /cgi-bin/koha/circ/view_holdsqueue.pl and check the "title"
table of that book that you placed hold on.
4. Observe that there's no information about edition of that book.
5. Apply patch.
6. Repeat step 3.
7. Observe that cinformation about edition of that book appeared
in the title table after book's title and author.

Mentored-by: Andrew Nugged <nugged@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2020-07-20 15:49:12 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-07-27 17:51:00 UTC
enchancement will not be backported to 20.05.x series